package thehippomaster.animationapi.client.model.wavefront;

public class Face
{
  public Vertex[] vertex;
  public UV[] uv;
  public Normal normal;
  public int vertexNbr;
  
  public Face(Vertex[] vertex, UV[] uv, Normal normal)
  {
    this.vertex = vertex;
    this.uv = uv;
    this.normal = normal;
    this.vertexNbr = vertex.length;
  }
  
  public Normal getNormal()
  {
    return this.normal;
  }
  
  public void setNormal(Normal normal)
  {
    this.normal = normal;
  }
  
  public Vertex[] getVertex()
  {
    return this.vertex;
  }
  
  public void setVertex(Vertex[] vertex)
  {
    this.vertex = vertex;
  }
  
  public UV[] getUV()
  {
    return this.uv;
  }
  
  public void setUV(UV[] uv)
  {
    this.uv = uv;
  }
  
  public int getVertexNbr()
  {
    return this.vertexNbr;
  }
  
  public void setVertexNbr(int vertexNbr)
  {
    this.vertexNbr = vertexNbr;
  }
}
