package thehippomaster.animationapi.util;

import java.nio.ByteBuffer;

public class Color
{
    public float r;
    public float g;
    public float b;
    public float a;

    public Color(float r, float g, float b, float a)
    {
        this.r = r;
        this.g = g;
        this.b = b;
        this.a = a;
    }

    public void writeRGBA(ByteBuffer buf)
    {
        buf.put((byte)(int)this.r);
        buf.put((byte)(int)this.g);
        buf.put((byte)(int)this.b);
        buf.put((byte)(int)this.a);
    }

    public void writeRGB(ByteBuffer buf)
    {
        buf.put((byte)(int)this.r);
        buf.put((byte)(int)this.g);
        buf.put((byte)(int)this.b);
    }

    public String toString()
    {
        return "rgba(" + this.r + ", " + this.g + ", " + this.b + ", " + this.a + ")";
    }

    public float getRed()
    {
        return this.r;
    }

    public void setRed(float r)
    {
        this.r = r;
    }

    public float getGreen()
    {
        return this.g;
    }

    public void setGreen(float g)
    {
        this.g = g;
    }

    public float getBlue()
    {
        return this.b;
    }

    public void setBlue(float b)
    {
        this.b = b;
    }

    public float getOpacity()
    {
        return this.a;
    }

    public void setOpacity(float o)
    {
        this.a = o;
    }

}
